* {
    box-sizing: border-box;
}

body {
    margin: 0;
    margin-top: var(--top-offset);
    font-family: var(--font-base, sans-serif);
    color: var(--text-color);
    background-color: var(--secondary-color);

    &::before, &::after {
        content: '';
        position: fixed;
        top: 0;
        bottom: 0;
        width: 10vw;
        z-index: 100;
        pointer-events: none;
        background: 
            linear-gradient(45deg, transparent 42%, var(--accent-color) 42%, var(--accent-color) 58%, transparent 58%),
            linear-gradient(-45deg, transparent 42%, var(--accent-color) 42%, var(--accent-color) 58%, transparent 58%),
            radial-gradient(circle, var(--primary-color) 0.22rem, transparent 0.25rem);
        background-size: 2rem 2rem, 2rem 2rem, 2rem 2rem;
        background-position: 1rem 0, 1rem 0, 1rem 1rem;
    }

    &::before {
        left: 0;
        border-right: var(--border-width) solid var(--teritary-color);
    }

    &::after {
        right: 0;
        border-left: var(--border-width) solid var(--teritary-color);
    }
}

p {
    margin: 1rem 0;
}

text-block {
    font-size: 1.25rem;
    display: flex;
    flex-direction: column;
    background-color: var(--neutral-color);
    border-radius: var(--border-radius);
    margin: 1rem 0;
    padding: 0 1rem;
    width: calc(100% + 2rem);
    transform: translateX(-1rem);
}

h1, h2, h3, a {
    font-family: var(--font-accent, serif);
    mask-image: url(../images/mask.png);
}

button {
    font-family: var(--font-accent, serif);
    display: block;
}

h1 {
    font-size: var(--font-size-h1);
    font-weight: bold;
    margin: 1rem 0;
}

h2 {
    padding-top: var(--top-offset);
    padding-bottom: 1rem;
    font-size: var(--font-size-h2);
    margin: 0;
}

li {
    list-style: none;
}

nav {
    flex-wrap: wrap;
    margin: 0 auto;
    width: var(--content-width);
    border-radius: var(--border-radius);
    container-type: inline-size;
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    height: var(--top-offset);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 1rem;
    z-index: 1000;
    background: oklch(from var(--accent-color) l c h / 0.8);
    backdrop-filter: blur(1rem) saturate(80%);
    border-bottom: var(--border-width) solid var(--text-color);
    box-shadow: 0 0.25rem 2rem var(--shadow-color-1);
    & a {
        font-size: var(--font-size-link);
        font-weight: bold;
        display: inline-block;
        min-width: 9rem;
        padding: 0;
        text-align: center;
        text-decoration: none;
        color: var(--text-color);
        flex-basis: var(--link-basis);
        box-sizing: border-box;
        mask-image: url(../images/mask.png);
        transition: color var(--transition-duration) ease;

        &:hover {
            color: var(--text-hover-color);
        }
    }
}

main {
    padding: 1rem;
    margin: 0 auto;
    width: var(--content-width);
    overflow-y: scroll;
    scrollbar-gutter: stable;
    scrollbar-width: none;
}

footer {
    width: var(--content-width);
    padding: 1rem;
    margin: 0 auto;
    text-align: center;
}
